  - name: Install packages that allow apt to be used over HTTPS
    apt:
      name: "{{ packages }}"
      state: present
      update_cache: yes
      install_recommends: false
    vars:
      packages:
      - apt-transport-https
      - ca-certificates
      - curl
      - gnupg-agent
      - software-properties-common


  - name: ensure docker repository key is installed
    apt_key:
      id: "9DC858229FC7DD38854AE2D88D81803C0EBFCD88"
#      keyserver: "hkp://p80.pool.sks-keyservers.net:80"
      url: https://download.docker.com/linux/ubuntu/gpg
      state: present

  - name: '[x86_64] ensure docker registry is available'
    apt_repository: repo="deb [arch=amd64] https://download.docker.com/linux/ubuntu bionic stable" state=present
    when: ansible_architecture == "x86_64"

  - name: '[raspberri pi 4 - aarch64] ensure docker registry is available'
    apt_repository: repo="deb [arch=arm64] https://download.docker.com/linux/ubuntu bionic stable" state=present
    when: ansible_architecture == "aarch64"


#  - name: Install Docker
#    apt: 
#      name: "{{ packages }}"
#      state: present
#    vars:
#      packages:
#      - docker
#      - containerd.io
#      - docker-compose
#    notify:
#      - docker status


  - name: Install docker and its dependecies
    apt: 
      name: "{{ packages }}"
      state: present
      update_cache: yes
      install_recommends: false
    vars:
      packages:
      - docker-ce 
      - docker-ce-cli
      - containerd.io
#    notify:
#      - docker version
#      - docker-compose version


  - name: Docker Service
    service:
      name: docker
      state: started
